Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/automations/temporary-close-location-with-reopening-date

Temporary Close Location with a reopening date

Temporary close a location with a reopening date. Note : Ensure your account has automation part of your subscriptions. This functionality is supported only for Google and Facebook Listings.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
inputobjectrequired
input.namestringrequired
input.startDatestringrequired
input.startTimestringrequired
input.endDatestringrequired
input.locationIdstringrequired

Request

Request
curl -X POST 'https://api.synup.com/api/v4/automations/temporary-close-location-with-reopening-date' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "name": "Automation to temporary close a Location",
    "startDate": "2025-02-25",
    "startTime": "10:59:51",
    "endDate": "2025-02-28",
    "locationId": "85006"
  }
}'

Responses

StatusDescription
200
Example response
{
  "data": {
    "createFlowFromRecipe": {
      "success": true,
      "flow": {
        "id": "52d903f2-6736-4012-930d-ec5872a690b3"
      }
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.createFlowFromRecipeobjectrequired
data.createFlowFromRecipe.successbooleanrequired
data.createFlowFromRecipe.flowobjectrequired
data.createFlowFromRecipe.flow.idstringrequired